import { IAppAPI, IPageAPI } from '../../app/global-api';
import * as Mobx from 'mobx';
declare global {
    interface Window {
        mobx?: typeof Mobx;
        app?: IAppAPI;
        $app?: IAppAPI;
        $page?: IPageAPI;
        $w?: any;
    }
}
export declare let runtime: Window & typeof globalThis;
export declare function registerRuntime(_runtime?: Window & typeof globalThis): void;
